/*
 * status.cpp
 * Copyright (C) 1999-2008 Kurt Granroth <granroth@kde.org>
 *
 * This file contains the implementation of the KBiffStatus
 * widget
 */
#include "status.h"
#include "status.moc"

#include <KApplication>
#include <klocale.h>

#include <qdesktopwidget.h>
#include <qpoint.h>
#include <qrect.h>

#include <qlabel.h>
#include <qlayout.h>
#include <qlistview.h>
#include <qpoint.h>

KBiffStatusItem::KBiffStatusItem(const QString& mailbox_, const int num_new,const int num_cur)
    : QObject(),
      _mailbox(mailbox_),
      _newMessages(QString().setNum(num_new)),
      _curMessages((num_cur==-1)?QString("?"):QString().setNum(num_cur))
{
}

KBiffStatusItem::KBiffStatusItem(const QString& mailbox_, const int num_new)
    : QObject(),
      _mailbox(mailbox_),
      _newMessages(QString().setNum(num_new)),
      _curMessages(QString("?"))
{
}

KBiffStatusItem::~KBiffStatusItem()
{
}
